html, body {
    width: 100;
}

/* Setting font size, type, and margin spacing for entire page */
body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1rem;
}

/* Styling the header bar at the top */
.header {
    background-color: #333333;
    color: #fefefe;
    padding-left: 5rem;
    display: flex;
    align-items: center;
    font-size: 2.2rem;
    min-height: 4rem;
}

/* Setting div behaviour */
div {
    /* Scroll bar for elements that overflow a div */
    overflow: auto;
    /* Include padding and border in the element's total width and height: */
    box-sizing: border-box;
}

/* Flex container for middle part of page: bank, work, selection area */
.flexContainer1 {
    display: flex;
    justify-content: space-between;
    align-content: center;
    flex-wrap: wrap;
}

/* Trying to set the proper dimensions of flex items... */

/* Setting bank area minimum width, flex-grow: 1, flex-shrink: 1, flex-basis: auto */
.bank {
    min-width: 25vw;
    flex: auto;
}

/* Setting work area minimum width, flex-grow: 1, flex-shrink: 1, flex-basis: auto */
.work {
    min-width: 25vw;
    flex: auto;
}

/* Setting select area minimum width, flex-grow: 1, flex-shrink: 1, flex-basis: auto */
.select {
    min-width: 25vw;
    flex: auto;
}

/* Setting image size dimensions in terms of view width value */
#computerImage {
    max-height: 20rem;
    max-width: 20rem;
}

/* Second flex container responsible for bottom part of page (image, description, buy area) */
.flexContainer2 {
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
}

/* Children of flexContainer2 (image, description, buy area */

/* Setting the image to grow, shrink, flex-basis: auto for automatic sizing */
.flexImg {
    min-width: 20%;
    flex: 1 1 auto;
}

/* No shrinkage for the description, but double the growth-rate */
.flexDescript {
    min-width: 30%;
    flex: 2 0 auto;
}

/* Setting the buy area to grow, but not shrink, flex-basis: auto */
.flexBuy {
    min-width: 50%;
    flex: 1 0 auto;
}

/* Hiding the visibility of several buttons */
#loan, #loanBalance, #repayLoanButton {
    visibility: hidden;
}

/* Making sure the loan button is on its own line */
#repayLoanButton {
    display: block;
}

/* Styling for the grey UI areas of the website */
.greyBox {
    padding: 1rem;
    margin: 1rem;
    max-height: 40%;
    border-color: #ebebeb;
    border-style: solid;
    background-color: #fbfbfb;
    border-radius: 0.5rem;
}

/* Common styling for all the buttons */
button {
    border-width: thin;
    border-radius: 0.3em;
    margin: 1em 1em 1em 0em;
    padding-top: 1em;
    padding-bottom: 1em;
}

/* Styling the loan button */
#getLoanButton {
    background-color: #4bf1a1;
    border-color: #72ba99;
}

/* Styling the repay button */
#repayLoanButton {
    background-color: #d85551;
    border-color: #c43f3a;
}

/* Styling the bank button */
#bankButton {
    width: 6rem;
    background-color: #edf046;
    border-color: #d4d577;
    display: inline-block;
}

/* Styling the work button */
#workButton {
    width: 6rem;
    background-color: #4d70f0;
    border-color: #5a71c2;
    display: inline-block;
}

/* Styling the buy button */
#buyButton {
    background-color: #4cc9f1;
    border-color: #3ba1c1;
    font-size: 1.3rem;
    color: black;
    padding: 1.3rem 6.5rem 1.3rem 6.5rem;
}

/* Styling the computer name that appears above 
description text and next to the image at the bottom of the page */
#computerName {
    font-size: 2rem;
    font-weight: bolder;
}